curl --request GET \
--url https://api.blaxel.ai/v0/volumes \
--header 'Authorization: Bearer <token>'[
{
"events": [
{
"canaryRevision": "<string>",
"message": "<string>",
"revision": "<string>",
"status": "<string>",
"time": "<string>",
"type": "<string>"
}
],
"metadata": {
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "<string>",
"labels": {},
"name": "<string>",
"plan": "<unknown>",
"url": "<string>",
"workspace": "<string>"
},
"spec": {
"infrastructureId": "<string>",
"region": "<string>",
"size": 123,
"template": "<string>"
},
"state": {
"attachedTo": "<string>"
},
"status": "<string>",
"terminatedAt": "<string>"
}
]Returns a list of all volumes in the workspace.
curl --request GET \
--url https://api.blaxel.ai/v0/volumes \
--header 'Authorization: Bearer <token>'[
{
"events": [
{
"canaryRevision": "<string>",
"message": "<string>",
"revision": "<string>",
"status": "<string>",
"time": "<string>",
"type": "<string>"
}
],
"metadata": {
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "<string>",
"labels": {},
"name": "<string>",
"plan": "<unknown>",
"url": "<string>",
"workspace": "<string>"
},
"spec": {
"infrastructureId": "<string>",
"region": "<string>",
"size": 123,
"template": "<string>"
},
"state": {
"attachedTo": "<string>"
},
"status": "<string>",
"terminatedAt": "<string>"
}
]Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
successful operation
Events are loaded from the events table, not stored in volume table
Show child attributes
Metadata Time fields for Persistance Owner fields for Persistance
Show child attributes
Volume specification - immutable configuration
Show child attributes
Volume state - mutable runtime state
Show child attributes
Volume status computed from events
Timestamp when the volume was marked for termination
Was this page helpful?